// ./src/stories/QueueRow.js

import React from 'react';

/**
 * A queue as described in a list.
 */
const QueueRow = ({arn = undefined, itemCount = undefined, qName = undefined, url = undefined, ...props}) => {
    if (arn === undefined || arn == null) {
        arn = '';
    }
    if (qName === undefined || qName === null) {
        qName = '';
    }
    if (url !== undefined && url != null && url !== '') {
        qName = <a href={url}>{qName}</a>;
    }
    if (itemCount === undefined || itemCount === null || itemCount === '') {
        itemCount = '-';
    }
    console.table([{arn, itemCount, qName, url}]);

    return (
        <div>
            <span className="border-2 px-4" style={{textDecoration: "underline"}}>{qName}</span>
            <span className="border-2 px-4">{arn}</span>
            <span className="border-2 px-4" style={{textAlign: "right"}}>{itemCount}</span>
            <React.StrictMode />
        </div>
    );
};

export {
    QueueRow,
}