import React from 'react';

import {QueueRow} from './QueueRow';

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
    title: 'Example/QueueRow',
    component: QueueRow,
    // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
    argTypes: {
        backgroundColor: {control: 'color'},
    },
};

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template = (args) => <QueueRow {...args} />;

export const Empty = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Empty.args = {
    arn: '',
    itemCount: '',
    qName: '',
    url: '',
};

export const UnqueriedNoURL = Template.bind({});
UnqueriedNoURL.args = {
    arn: 'arn:sqs:eu-west-3:1234567890:main-queue',
    itemCount: '',
    qName: 'main-queue',
    url: '',
};


export const Unqueried = Template.bind({});
Unqueried.args = {
    arn: 'arn:sqs:eu-west-3:1234567890:main-queue',
    itemCount: '',
    qName: 'main-queue',
    url: 'https://sqs.eu-west-3.amazonaws.com/1234567890/main-queue',
};

export const Queried = Template.bind({});
Queried.args = {
    arn: 'arn:sqs:eu-west-3:1234567890:main-queue',
    itemCount: 25,
    qName: 'main-queue',
    url: 'https://sqs.eu-west-3.amazonaws.com/1234567890/main-queue',
};
